Skip to main content

Update Resident Appointment: MRI

PUThttps://api.propexo.com/v1/events/appointments/residents/mri/:event_id
Method
/mriapiservices/api.asp?$api=MRI_S-PMRM_UpdateRmAction

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters​

event_id stringrequired

The Propexo unique identifier for the event

Request​

This endpoint expects an object.

    appointment_datestringrequired

    The date when the appointment will occur

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    appointment_timestring

    The time when the appointment will occur. Please refer to our appointment times section in the docs to see how each individual PMS handles timezones

    Possible values: Value must match regular expression (?:[01]\d|2[0123]):(?:[012345]\d):(?:[012345]\d)

    employee_idstring

    The Propexo unique identifier for the employee. Must have a role of LEASING_AGENT

    statusstring

    The raw status associated with the event

    Show 4 enum values
    COMPLETEDOPENREVIEWDENIED
    notesstring

    Notes associated with the event

Response​

Successful response

    meta objectrequired
    job_idstringrequired
    result objectrequired
    event_idstringrequired

    The Propexo unique identifier for the event

    appointment_datestringrequired

    The date when the appointment will occur

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    appointment_timestring

    The time when the appointment will occur. Please refer to our appointment times section in the docs to see how each individual PMS handles timezones

    Possible values: Value must match regular expression (?:[01]\d|2[0123]):(?:[012345]\d):(?:[012345]\d)

    employee_idstring

    The Propexo unique identifier for the employee. Must have a role of LEASING_AGENT

    statusstring

    The raw status associated with the event

    Show 4 enum values
    COMPLETEDOPENREVIEWDENIED
    notesstring

    Notes associated with the event

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
PUT /v1/events/appointments/residents/mri/:event_id
curl -X PUT https://api.propexo.com/v1/events/appointments/residents/mri/:event_id \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"appointment_date": "2024-07-29T15:51:28.071Z"
}'
200 Successful response
{
"meta": {
"job_id": "string"
},
"result": {
"event_id": "string",
"appointment_date": "2024-07-29T15:51:28.071Z",
"appointment_time": "string",
"employee_id": "string",
"status": "COMPLETED",
"notes": "string"
}
}